.container {
  margin: 0;
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: space-evenly;

  .mobile-controls{
    display: none;
    flex: 1;
    .o-pad {
      position: relative;
      width: 200px;
      height: 200px;
      border-radius: 50%;
      overflow: hidden;
      &:after {
        content: "";
        position: absolute;
        z-index: 2;
        width: 20%;
        height: 20%;
        top: 50%;
        left: 50%;
        background: #ddd;
        border-radius: 50%;
        transform: translate(-50%, -50%);
        display: none;
        transition: all 0.25s;
        cursor: pointer;
      }
      &:hover:after {
        width: 30%;
        height: 30%;
      }
      a {
        display: block;
        position: absolute;
        -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
        width: 50%;
        height: 50%;
        text-align: center;
        transform: rotate(45deg);
        border: 1px solid rgba(0, 0, 0, 0.2);
        &:before {
          content: "";
          position: absolute;
          width: 60%;
          height: 60%;
          top: 50%;
          left: 50%;
          background: rgba(255, 255, 255, 0.1);
          border-radius: 50%;
          transform: translate(-50%, -50%);
          transition: all 0.25s;
          cursor: pointer;
          display: none;
        }
        &:after {
          content: "";
          position: absolute;
          width: 0;
          height: 0;
          border-radius: 5px;
          border-style: solid;
          transform: translate(-50%, -50%) rotate(-45deg);
          transition: all 0.25s;
        }
      }
      a.up {
        bottom: 50%;
        left: 50%;
        transform: translate(-50%, -20%) rotate(45deg);
        border-top-left-radius: 50%;
        z-index: 1;
        &:hover {
          background: linear-gradient(
            315deg,
            rgba(255, 255, 255, 0) 15%,
            rgba(255, 255, 255, 0.4) 100%
          );
        }
        &:before {
          left: 57%;
          top: 57%;
        }
        &:after {
          left: 53%;
          top: 53%;
          border-width: 0 13px 19px 13px;
          border-color: transparent transparent #aaa transparent;
        }
        &:active:after {
          border-bottom-color: #333;
        }
      }

      a.down {
        top: 50%;
        left: 50%;
        transform: translate(-50%, 20%) rotate(45deg);
        border-bottom-right-radius: 50%;
        z-index: 1;
        &:hover {
          background: linear-gradient(
            135deg,
            rgba(255, 255, 255, 0) 15%,
            rgba(255, 255, 255, 0.4) 100%
          );
        }
        &:before {
          left: 43%;
          top: 43%;
        }
        &:after {
          left: 47%;
          top: 47%;
          border-width: 19px 13px 0px 13px;
          border-color: #aaa transparent transparent transparent;
        }
        &:active:after {
          border-top-color: #333;
        }
      }

      a.left {
        top: 50%;
        right: 50%;
        transform: translate(-20%, -50%) rotate(45deg);
        border-bottom-left-radius: 50%;
        border: none;
        &:hover {
          background: linear-gradient(
            225deg,
            rgba(255, 255, 255, 0) 15%,
            rgba(255, 255, 255, 0.4) 100%
          );
        }
        &:before {
          left: 57%;
          top: 43%;
        }
        &:after {
          left: 53%;
          top: 47%;
          border-width: 13px 19px 13px 0;
          border-color: transparent #aaa transparent transparent;
        }
        &:active:after {
          border-right-color: #333;
        }
      }

      a.right {
        top: 50%;
        left: 50%;
        transform: translate(20%, -50%) rotate(45deg);
        border-top-right-radius: 50%;
        border: none;
        &:hover {
          background: linear-gradient(
            45deg,
            rgba(255, 255, 255, 0) 15%,
            rgba(255, 255, 255, 0.4) 100%
          );
        }
        &:before {
          left: 43%;
          top: 57%;
        }
        &:after {
          left: 47%;
          top: 53%;
          border-width: 13px 0 13px 19px;
          border-color: transparent transparent transparent #aaa;
        }
        &:active:after {
          border-left-color: #333;
        }
      }
      a:hover:after {
        left: 50%;
        top: 50%;
      }
    }

  }

  .score-card {
    padding: 20px;
    color: #282846;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;

    .score-board{
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;
    }

    .restart-button{
      padding: 10px 20px;
      color: #282846;
      border-radius: 20px;
      height: 40px;
      font-weight: bold;
      display: flex;
      justify-content: center;
      align-items: center;
      background-color: #7adfff;
      cursor: pointer;
      z-index: 99;
    }
  }

  .game-board {
    background-color: #7adfff;
    width: 100vmin;
    height: 76vmin;
    display: grid;
    align-self: center;
    grid-template-rows: repeat(21, 1fr);
    grid-template-columns: repeat(21, 1fr);

    &.blur {
      filter: blur(4px);
    }
  }

}

.game-over{
  position: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
  color: #fed049;
  z-index: 1;
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: black;

  h1 {
    font-size: 3em;
  }
}

// Ipads and Mobiles
@media only screen and (max-width: 1025px) {
  .container {
    flex-direction: column;

    .score-card {
      flex-direction: row !important;
    }
  }
  .mobile-controls{
    margin-top: 10px;
    display: flex !important;
    justify-content: center;
    align-items: center;
    width: 100%;
  }

}
